package com.lanyun.wanglaotou.service

import com.lanyun.net.base.NetUrl
import com.lanyun.net.model.BaseResponse
import retrofit2.Call
import retrofit2.http.Field
import retrofit2.http.FormUrlEncoded
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Query

interface GuestService {

    @GET(NetUrl.GUEST)
    fun getGuest(
    ):Call<BaseResponse>

    @FormUrlEncoded
    @POST(NetUrl.GET_QUICK_LOGIN_URL)
    fun getRedirect(
        @Field("redirect") redirect: String,
    ):Call<BaseResponse>

    @GET(NetUrl.GET_URL)
    fun getUrl(
    ):Call<BaseResponse>

}